Xeonr Developer Docs
API SpecificationPRIVATEAuthentication

Accept Invitation

POST
/xeonr.auth.private.v1.AuthService/AcceptInvitation

Accepts an organisation invitation, linking an IDP connection to the pending user. Requires a valid signup_token from HandleLogin and an invitation_token from the invitation email.

Authentication: None required (tokens required)

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

signupToken?string

Token from HandleLogin (contains IDP user data).

Formatuuid
invitationToken?string

Invitation token from the invitation email.

Formatuuid
username?string

Desired username.

Length1 <= length <= 64
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.AuthService/AcceptInvitation" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "token": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...",
  "expiresAt": "2023-01-15T01:30:15.01Z",
  "sessionToken": "string"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}